## ocaml-batteries 0.20090405+beta1

=== examples/benchmark/Makefile ===
TESTS:=nth map mapx folr folrx map2 append flatten filter1 filter2
MAX_I:=--max-i 10_000_000

pngs: $(addsuffix .png, $(TESTS))

t_list.byte t_list.native:
	ocamlbuild t_list.byte t_list.native

%.gallium_byte: t_list.byte
#The following doesn't succeed for large I -- not tail-recursive
	- ./t_list.byte $(MAX_I) -g $(basename $@) > $@

%.extlib_byte: t_list.byte
	./t_list.byte $(MAX_I) -e $(basename $@) > $@

%.gallium_native: t_list.native
#The following doesn't succeed for large I -- not tail-recursive
	- ./t_list.native $(MAX_I) -g $(basename $@) > $@

%.extlib_native: t_list.native
	./t_list.native $(MAX_I) -e $(basename $@) > $@

%.png: %.gallium_byte %.extlib_byte %.gallium_native %.extlib_native
	TEST=$(basename $@)
	echo "set logscale x; set logscale y; set terminal png; set xlabel \"List Length\"; set ylabel \"List-operations per second\"; set output \"$@\"; plot \"$(basename $@).gallium_byte\" w lp, \"$(basename $@).extlib_byte\" w lp, \"$(basename $@).gallium_native\" w lp, \"$(basename $@).extlib_native\" w lp" | gnuplot

t_byte: $(addsuffix .gallium_byte, $(TESTS)) $(addsuffix .extlib_byte, $(TESTS))

clean: 
	- rm *.*_byte *.*_native
	- rm *.png

## ocaml-batteries 1.1.0

=== build/camlzip/Makefile ===
### Configuration section

# The name of the Zlib library.  Usually -lz
ZLIB_LIB=-lz

# The directory containing the Zlib library (libz.a or libz.so)
ZLIB_LIBDIR=/usr/local/lib

# The directory containing the Zlib header file (zlib.h)
ZLIB_INCLUDE=/usr/local/include

# Where to install the library.  By default: sub-directory 'zip' of
# OCaml's standard library directory.
INSTALLDIR=`$(OCAMLC) -where`/zip

### End of configuration section

OCAMLC=ocamlc -g
OCAMLOPT=ocamlopt
OCAMLDEP=ocamldep
OCAMLMKLIB=ocamlmklib

OBJS=zlib.cmo zip.cmo gzip.cmo
C_OBJS=zlibstubs.o

all: libcamlzip.a zip.cma

allopt: libcamlzip.a zip.cmxa

zip.cma: $(OBJS)
	$(OCAMLMKLIB) -o zip -oc camlzip $(OBJS) \
            -L$(ZLIB_LIBDIR) $(ZLIB_LIB)

zip.cmxa: $(OBJS:.cmo=.cmx)
	$(OCAMLMKLIB) -o zip -oc camlzip $(OBJS:.cmo=.cmx) \
            -L$(ZLIB_LIBDIR) $(ZLIB_LIB)

libcamlzip.a: $(C_OBJS)
	$(OCAMLMKLIB) -oc camlzip $(C_OBJS) \
            -L$(ZLIB_LIBDIR) $(ZLIB_LIB)

.SUFFIXES: .mli .ml .cmo .cmi .cmx

.mli.cmi:
	$(OCAMLC) -c $<
.ml.cmo:
	$(OCAMLC) -c $<
.ml.cmx:
	$(OCAMLOPT) -c $<
.c.o:
	$(OCAMLC) -c -ccopt -g -ccopt -I$(ZLIB_INCLUDE) $<

clean:
	rm -f *.cm*
	rm -f *.o *.a

install:
	mkdir -p $(INSTALLDIR)
	cp zip.cma zip.cmi gzip.cmi zip.mli gzip.mli libcamlzip.a $(INSTALLDIR)
	if test -f dllcamlzip.so; then \
	  cp dllcamlzip.so $(INSTALLDIR); \
          ldconf=`$(OCAMLC) -where`/ld.conf; \
          installdir=$(INSTALLDIR); \
          if test `grep -s -c $$installdir'$$' $$ldconf || :` = 0; \
          then echo $$installdir >> $$ldconf; fi \
        fi

installopt:
	cp zip.cmxa zip.a zip.cmx gzip.cmx $(INSTALLDIR)

ocamlfind-install: all allopt
	ocamlfind install zip META gzip.cmi gzip.cmx gzip.mli libcamlzip.a zip.a zip.cma zip.cmi zip.cmx zip.cmxa zip.mli zlib.cmi zlib.mli dllcamlzip.so

depend:
	gcc -MM -I$(ZLIB_INCLUDE) *.c > .depend
	ocamldep *.mli *.ml >> .depend

include .depend

=== libs/estring/Makefile ===
# Makefile
# --------
# Copyright : (c) 2009, Jeremie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# This file is a part of estring.

OF = ocamlfind

NAME = estring
VERSION = $(shell head -n 1 VERSION)

.PHONY: all
all: META pa_estring.cmo pa_estring_top.cmo sample/sample

pa_estring.cmi: pa_estring.mli
	ocamlc -I +camlp4 -c pa_estring.mli

pa_estring.cmo: pa_estring.cmi pa_estring.ml
	ocamlc -I +camlp4 -pp camlp4of -c pa_estring.ml

sample/pa_string_list.cmo: pa_estring.cmo sample/pa_string_list.ml
	ocamlc -I +camlp4 -pp camlp4of pa_estring.cmo -c sample/pa_string_list.ml

sample/sample: pa_estring.cmo sample/pa_string_list.cmo sample/sample.ml
	ocamlc -pp 'camlp4o pa_estring.cmo sample/pa_string_list.cmo' sample/sample.ml -o sample/sample

pa_estring_top.cmo: pa_estring.cmo pa_estring_top.ml
	ocamlc -I +camlp4 -c pa_estring_top.ml

META: VERSION META.in
	sed -e 's/@VERSION@/$(VERSION)/' META.in > META

.PHONY: dist
dist:
	DARCS_REPO=$(PWD) darcs dist --dist-name $(NAME)-$(VERSION)

.PHONY: install
install:
	$(OF) install $(NAME) META pa_estring.cmo pa_estring.cmi pa_estring_top.cmo

.PHONY: uninstall
uninstall:
	$(OF) remove $(NAME)

.PHONY: clean
clean:
	rm -f META $(NAME)-*.tar.gz *.cm* sample/*.cm* sample/sample

## ocaml-batteries 1.2.2

=== Makefile ===
# A basic Makefile for building and installing Batteries Included
# It punts to ocamlbuild for all the heavy lifting.

NAME = batteries

# This is also defined in the VERSION file
VERSION := $(shell cat VERSION)

# Define variables and export them for mkconf.ml
DOCROOT ?= /usr/share/doc/ocaml-batteries
export DOCROOT
BROWSER_COMMAND ?= x-www-browser %s
export BROWSER_COMMAND

OCAMLBUILD ?= ocamlbuild

BATTERIES_NATIVE ?= yes
BATTERIES_NATIVE_SHLIB ?= yes

INSTALL_FILES = _build/META _build/src/*.cma \
	battop.ml _build/src/*.cmi _build/src/*.mli \
	_build/src/batteries_help.cmo \
	_build/src/syntax/pa_comprehension/pa_comprehension.cmo \
	_build/src/syntax/pa_strings/pa_strings.cma
NATIVE_INSTALL_FILES = _build/src/*.cmx _build/src/*.a _build/src/*.cmxa

# What to build
TARGETS = syntax.otarget byte.otarget src/batteries_help.cmo META
TEST_TARGETS = testsuite/main.byte

ifeq ($(BATTERIES_NATIVE_SHLIB), yes)
  TARGETS += shared.otarget
  TEST_TARGETS += testsuite/main.native
  INSTALL_FILES += $(NATIVE_INSTALL_FILES) _build/src/*.cmxs
else ifeq ($(BATTERIES_NATIVE), yes)
  TARGETS += native.otarget
  TEST_TARGETS += testsuite/main.native
  INSTALL_FILES += $(NATIVE_INSTALL_FILES)
endif

.PHONY: all clean doc install uninstall reinstall test

all:
	test ! -e src/batteries_config.ml || rm src/batteries_config.ml
	$(OCAMLBUILD) $(TARGETS)

clean:
	rm -f apidocs
	$(OCAMLBUILD) -clean

doc:
	$(OCAMLBUILD) batteries.docdir/index.html
	test -e apidocs || ln -s _build/batteries.docdir apidocs

install: all
	ocamlfind install estring libs/estring/META \
		_build/libs/estring/*.cmo \
		_build/libs/estring/*.cmi \
		_build/libs/estring/*.mli
	ocamlfind install $(NAME) $(INSTALL_FILES)

uninstall:
	ocamlfind remove estring
	ocamlfind remove $(NAME)
	rm -rf $(DOCROOT)

install-doc: doc
	mkdir -p $(DOCROOT)
	cp -r doc/batteries/* $(DOCROOT)
	# deal with symlink that will break
	rm -f $(DOCROOT)/html/batteries_large.png
	cp -f doc/batteries_large.png $(DOCROOT)/html
	mkdir -p $(DOCROOT)/html/api
	cp apidocs/* $(DOCROOT)/html/api
	cp LICENSE README FAQ VERSION $(DOCROOT)

reinstall:
	$(MAKE) uninstall
	$(MAKE) install

test: 
	$(OCAMLBUILD) $(TARGETS) $(TEST_TARGETS)
	$(foreach TEST, $(TEST_TARGETS), _build/$(TEST); )

release: test
	git archive --format=tar --prefix=batteries-$(VERSION)/ HEAD \
	  | gzip > batteries-$(VERSION).tar.gz

=== examples/benchmark/Makefile ===
TESTS:=nth map folr map2 append flatten filter1 filter2 mapx folrx 
OPTS:=--max-i 10_000_000

all: t_enum.byte

t_enum.byte t_enum.native: t_enum.ml
	ocamlbuild t_enum.byte t_enum.native

pngs: $(addsuffix .png, $(TESTS))

t_list.byte t_list.native: t_list.ml
	ocamlbuild t_list.byte t_list.native

%.gallium_byte: t_list.byte
#The following doesn't succeed for large I -- not tail-recursive
	- ./t_list.byte $(OPTS) -g $(basename $@) > $@

%.extlib_byte: t_list.byte
	./t_list.byte $(OPTS) -e $(basename $@) > $@

%.blue_byte: t_list.byte
	./t_list.byte $(OPTS) -b $(basename $@) > $@

%.core_byte: t_list.byte
	./t_list.byte $(OPTS) -c $(basename $@) > $@

%.gallium_native: t_list.native
#The following doesn't succeed for large I -- not tail-recursive
	- ./t_list.native $(OPTS) -g $(basename $@) > $@

%.extlib_native: t_list.native
	./t_list.native $(OPTS) -e $(basename $@) > $@

%.blue_native: t_list.native
	./t_list.native $(OPTS) -b $(basename $@) > $@

%.core_native: t_list.native
	./t_list.native $(OPTS) -c $(basename $@) > $@

%.png: %.gallium_byte %.extlib_byte %.blue_byte %.core_byte %.gallium_native %.extlib_native %.blue_native %.core_native
	TEST=$(basename $@)
	echo "set logscale x; set logscale y; set terminal png; set xlabel \"List Length\"; set ylabel \"List-operations per second\"; set output \"$@\"; plot \"$(basename $@).gallium_byte\" w lp, \"$(basename $@).extlib_byte\" w lp, \"$(basename $@).blue_byte\" w lp, \"$(basename $@).core_byte\" w lp, \"$(basename $@).gallium_native\" w lp, \"$(basename $@).extlib_native\" w lp, \"$(basename $@).blue_native\" w lp, \"$(basename $@).core_native\" w lp" | gnuplot

t_byte: $(addsuffix .gallium_byte, $(TESTS)) $(addsuffix .extlib_byte, $(TESTS))

clean: 
	ocamlbuild -clean
	- rm *.*_byte *.*_native
	- rm *.png

=== examples/euler/Makefile ===
.PHONY: all clean

SOURCES = $(wildcard euler*.ml)
TARGETS = $(SOURCES:.ml=.byte)
LIBRARIES = mathlib.ml

all: $(TARGETS)

clean: 
	rm *.byte *.native *.cmi *.cmo

%.byte: $(LIBRARIES) %.ml 
	ocamlfind ocamlc -thread -package threads,batteries -linkpkg $^ -o $@ 

%.native: $(LIBRARIES) %.ml 
	ocamlfind ocamlc -thread -package threads,batteries -linkpkg $^ -o $@

=== debian/changelog ===
ocaml-batteries (1.2.2-1build2) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:42 -0600

ocaml-batteries (1.2.2-1build1) oneiric; urgency=low

  * Rebuild for OCaml 3.12.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 00:59:44 +0100

ocaml-batteries (1.2.2-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Add 0002-Fix-build-with-OCaml-3.12.0.patch (Closes: #586493)

  [ Mehdi Dogguy ]
  * New upstream release
    - Add 0001-Add-Set-an-installation-prefix-path.patch
    - Add 0003-Do-not-enforce-sanity-check-rules.patch
    - Remove omake from build-depends
  * Adapt debian/rules to new upstream's build system.
  * Convert source package to 3.0 (quilt) format.
    - Remove quilt from build-depends
  * Bump dh-ocaml version to 0.9.5 in Build-Depends.
  * Update libbatteries-ocaml-doc.doc-base
  * Bump standards version to 3.9.0, no changes needed.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 14 Jul 2010 23:31:15 +0200

ocaml-batteries (1.1.0-2) unstable; urgency=low

  * Add myself to Uploaders (and remove Zack as he asked).
  * Fix configuration of Batteries (Closes: #578671).
  * Bump ocaml version in build-dependencies to (>= 3.11.1-3~) and
    dh-ocaml (>= 0.9~).
  * Bump quilt version to (>= 0.46-7~).
  * Add a debian/source/format (keep 1.0 for now).
  * Fix binary-control-field-duplicates-source

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 03 Jun 2010 13:57:15 +0200

ocaml-batteries (1.1.0-1) unstable; urgency=low

  * New upstream release
    - major changes, "diet" version of the library
    - fix old FTBFS error, due to major code changes (Closes: #569455)
  * Revamp packaging
    - adapt to new stuff shipped by upstream
    - switch from CDBS to dh
    - adapt dependencies (generally: reduce them)
  * debian/patches/
    - remove old debian/patches/{debian-specific-installation-paths,
      debian-specific-info-on-doc-availability} as obsolete
    - new patch 0001-install-fix-for-bytecode-only-build: avoid
      installing *.a files with bytecode only compilation
  * debian/libbatteries-ocaml-dev.links: remove file, shortend
    /usr/bin/ocaml-batteries to the top-level no longer exists
  * remove debian/README.Debian (previous content is now obsolete)
  * bump Standards-Version to 3.8.4 (no changes needed)
  * debian/watch: update to match new upstream version convention
  * debian/libbatteries-ocaml-{dev,doc}.{docs,examples}: ship only doc
    file from the root dir, other stuff is currently out of date
    (Closes: #514265)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 06 Mar 2010 16:03:38 +0100

ocaml-batteries (0.20090405+beta1-5) unstable; urgency=low

  * debian/control: add explicit dep on libbin-prot-camlp4-dev, it is a
    needed CamlP4 dep, not inferrable by dh_ocaml (Closes: #557538)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 25 Nov 2009 13:11:18 +0100

ocaml-batteries (0.20090405+beta1-4) unstable; urgency=low

  * Get rid of TopGit for packaging, use dom-{save,apply}-patches to
    manage quilt series. Document that in README.source. Patch names are
    now as follows:
    - 0001-debian-specific-installation-paths
    - 0002-debian-specific-info-on-doc-availability
  * debian/control: clean up non-automatic OCaml deps, now that all
    build-deps have been ported to recent dh-ocaml
  * rebuild against recent sexplib, bump build-dep accordingly
    (Closes: #556034)
  * add debian/gbp.conf to enforce pristine-tar usage with gbp

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 14 Nov 2009 13:03:57 +0100

ocaml-batteries (0.20090405+beta1-3) unstable; urgency=low

  * debian/control
    - bump Standards-Version to 3.8.3 (no changes needed)
    - use dh-ocaml to infer/provide dependencies, keep hand-written
      dependencies for the interim; bump build-dep on dh-ocaml to 0.9
    - clean up wrong relationships on -doc package: remove ${shlibs:Depends}
      and bogus Provides on -camlp4-dev and metapackage
  * debian/rules
    - switch {debhelper,patchsys-quilt}.mk: fix debian/*.log cleanup
    - stop using ocamldoc-api-ref-config (gone now), rather ship a
      hand-written doc-base entry (Closes: #549795)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 07 Oct 2009 10:51:36 +0200

ocaml-batteries (0.20090405+beta1-2) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debian/control: drop deps from the -doc package to ocaml-nox-@ABI@ (it
    had no reason to exist and hindered binNMU-ability)
  * rebuild against OCaml 3.11.1 for the transition
  * debian/control: bump Standards-Version to 3.8.2 (no changes needed)

  [ Stephane Glondu ]
  * Use new location of ocamldoc-api-ref-config

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 10 Jul 2009 15:47:10 +0200

ocaml-batteries (0.20090405+beta1-1) unstable; urgency=low

  * new upstream release, 1.0 beta 1
  * debian/rules:
    - set archive sections to "ocaml" for lib*ocaml*
    - avoid building doc on bynary-only builds
    - ensure ocamlfind uses bytecode ocamldoc, because dynamic loading
      of native code printers does not work (yet)
  * README.Debian: point to batteries-enabled command wrappers
  * debian/control:
    - add ${misc:Depends} to ocaml-batteries-included
    - add missing dep: libbatteries-ocaml-dev -> libocamlnet-ocaml-dev

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 05 Apr 2009 17:14:47 +0200

ocaml-batteries (0.20090401+gitE192725-1) unstable; urgency=low

  * new snapshot, upstream Git commit E192725
    - includes all changes of batteries approaching beta 1
  * uploading to unstable
  * debian/patches/
    - new patch debian/libdir which set Debian-specific installation
      paths used at runtime by batteries wrappers
  * debian/rules:
    - pass -byte-plugin to ocamlbuild when ocamlopt is not
      available, fixes FTBFS on non-native archs. (Closes: #505490)
    - use ocaml.mk as a CDBS "rules" snippet
    - use tg2quilt.mk snippet (shipped by topgit) to generated patches


=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/ocaml/ocamlvars.mk

DEB_DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
BATTERIES_DEB_DOCROOT = $(CURDIR)/debian/tmp/doc
export BATTERIES_DOCROOT = /usr/share/doc/libbatteries-ocaml-doc/
export DESTDIR = $(OCAML_STDLIB_DIR)
DOC_PKG = libbatteries-ocaml-doc

%:
	dh --with ocaml $@

ifneq ($(OCAML_HAVE_OCAMLOPT),yes)
export BATTERIES_NATIVE = false
endif

ifneq ($(OCAML_NATDYNLINK),yes)
export BATTERIES_NATIVE_SHLIB=false
endif

override_dh_auto_build:
	make all
ifneq (,$(findstring $(DOC_PKG),$(shell dh_listpackages)))
	make doc
endif

override_dh_auto_test:
	make test

override_dh_auto_install:
	mkdir -p $(DEB_DESTDIR)/estring $(DEB_DESTDIR)/batteries $(BATTERIES_DEB_DOCROOT)
	make PREFIX=$(DEB_DESTDIR) install
ifneq (,$(findstring $(DOC_PKG),$(shell dh_listpackages)))
	make DOCROOT=$(BATTERIES_DEB_DOCROOT) install-doc
endif

override_dh_auto_clean:
	make clean
	rm -rf man/ .omakedb .omakedb.lock
	-find . -name '*.omc' -exec rm {} \;

override_dh_compress:
	dh_compress -Xmyocamlbuild.ml -X.idex

.PHONY: override_dh_auto_build override_dh_auto_test override_dh_auto_install
.PHONY: override_dh_auto_clean override_dh_compress

## ocaml-batteries 1.4.1

=== Makefile ===
# A basic Makefile for building and installing Batteries Included
# It punts to ocamlbuild for all the heavy lifting.

NAME = batteries

VERSION := $(shell cat VERSION)
uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')

# Define variables and export them for mkconf.ml
DOCROOT ?= /usr/share/doc/ocaml-batteries
export DOCROOT
BROWSER_COMMAND ?= x-www-browser
export BROWSER_COMMAND

ifdef DESTDIR
OCAMLFIND_DEST += -destdir $(DESTDIR)
endif

OCAMLBUILD ?= ocamlbuild
OCAMLBUILDFLAGS ?= -no-links

ifeq ($(uname_S),Darwin)
  BATTERIES_NATIVE ?= yes
  BATTERIES_NATIVE_SHLIB ?= no
else 
  BATTERIES_NATIVE ?= yes
  BATTERIES_NATIVE_SHLIB ?= $(BATTERIES_NATIVE)
endif

INSTALL_FILES = _build/META _build/src/*.cma \
	battop.ml _build/src/*.cmi _build/src/*.mli \
	_build/src/batteries_help.cmo \
	_build/src/syntax/pa_comprehension/pa_comprehension.cmo \
	_build/src/syntax/pa_strings/pa_strings.cma \
	_build/src/syntax/pa_llist/pa_llist.cmo
NATIVE_INSTALL_FILES = _build/src/*.cmx _build/src/*.a _build/src/*.cmxa

# What to build
TARGETS = syntax.otarget byte.otarget src/batteries_help.cmo META
BENCH_TARGETS = benchsuite/bench_int.native benchsuite/bench_map.native
TEST_TARGET = test-byte

ifeq ($(BATTERIES_NATIVE_SHLIB), yes)
  EXT = native
  MODE = shared
  TARGETS += shared.otarget
  TEST_TARGET = test-native
  INSTALL_FILES += $(NATIVE_INSTALL_FILES) _build/src/*.cmxs
else ifeq ($(BATTERIES_NATIVE), yes)
  EXT = native
  MODE = native
  TARGETS += native.otarget
  TEST-DEPS = test-native
  INSTALL_FILES += $(NATIVE_INSTALL_FILES)
else
  EXT = byte
  MODE = bytecode
endif

.PHONY: all clean doc install uninstall reinstall test qtest camfail camfailunk

all: src/batCamomile.ml
	@echo "Build mode:" $(MODE)
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) $(TARGETS)

clean:
	${RM} apidocs
	${RM} qtest/*_t.ml qtest/test_mods.mllib
	${RM} src/batteries_config.ml
	${RM} src/batCamomile.ml
	$(OCAMLBUILD) -clean

doc:
	$(OCAMLBUILD) batteries.docdir/index.html
	test -e apidocs || ln -s _build/batteries.docdir apidocs

install: all uninstall_packages
	ocamlfind install $(OCAMLFIND_DEST) estring \
		libs/estring/META \
		_build/libs/estring/*.cmo \
		_build/libs/estring/*.cmi \
		_build/libs/estring/*.mli
	ocamlfind install $(OCAMLFIND_DEST) $(NAME) $(INSTALL_FILES)

uninstall_packages:
	ocamlfind remove $(OCAMLFIND_DEST) estring
	ocamlfind remove $(OCAMLFIND_DEST) $(NAME)

uninstall: uninstall_packages
	${RM} -r $(DOCROOT)

install-doc: doc
	mkdir -p $(DOCROOT)
	cp -r doc/batteries/* $(DOCROOT)
# deal with symlink that will break
	${RM} $(DOCROOT)/html/batteries_large.png
	cp -f doc/batteries_large.png $(DOCROOT)/html
	mkdir -p $(DOCROOT)/html/api
	cp apidocs/* $(DOCROOT)/html/api
	cp LICENSE README FAQ VERSION $(DOCROOT)

reinstall:
	$(MAKE) uninstall
	$(MAKE) install

#List of source files that it's okay to try to test
DONTTEST=$(wildcard src/batCamomile-*.ml) src/batteries_help.ml
TESTABLE ?= $(filter-out $(DONTTEST), $(wildcard src/*.ml))

TESTDEPS = src/batCamomile.ml $(patsubst src/%.ml,qtest/%_t.ml, $(TESTABLE)) qtest/test_mods.mllib

_build/testsuite/main.byte _build/qtest/test_runner.byte: $(TESTDEPS)
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) testsuite/main.byte qtest/test_runner.byte

_build/testsuite/main.native _build/qtest/test_runner.native: $(TESTDEPS)
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) testsuite/main.byte qtest/test_runner.byte testsuite/main.native qtest/test_runner.native

test-byte: _build/testsuite/main.byte _build/qtest/test_runner.byte
	_build/testsuite/main.byte 
	_build/qtest/test_runner.byte

test-native: _build/testsuite/main.native _build/qtest/test_runner.native
	_build/testsuite/main.byte 
	_build/qtest/test_runner.byte
	_build/testsuite/main.native
	_build/qtest/test_runner.native

test: $(TEST_TARGET)

bench: 
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) $(TARGETS) $(BENCH_TARGETS)
	$(foreach BENCH, $(BENCH_TARGETS), _build/$(BENCH); )

release: clean all test
	git archive --format=tar --prefix=batteries-$(VERSION)/ HEAD \
	  | gzip > batteries-$(VERSION).tar.gz


##
## Magic to detect which version of camomile is installed 
##

CAMVER=$(shell sh -c 'ocamlfind query -format %v camomile')
ifeq ($(CAMVER),0.8.2)
	CAMFIX=src/batCamomile-0.8.2.ml
endif
ifeq ($(CAMVER),0.8.1)
	CAMFIX=src/batCamomile-0.8.1.ml
endif
ifeq ($(CAMVER),0.7.2)
	CAMFIX=src/batCamomile-0.7.ml
endif
ifeq ($(CAMVER),0.7.1)
	CAMFIX=src/batCamomile-0.7.ml
endif
ifeq ($(CAMVER),)
	CAMFIX=camfail
endif
ifeq ($(CAMFIX),) # Assume is compatible with the latest camomile, TODO: warn user about assumption
	CAMFIX=src/batCamomile-0.8.2.ml
endif

src/batCamomile.ml: $(CAMFIX)
	cp -f $< $@

camfailunk:
	echo "Unknown build of camomile detected ( $(CAMVER) ), cannot auto-config batcamomile."
	echo "If your camomile is more recent than 0.8.3, you can probably do"
	echo "  cp src/batCamomile-0.8.2.ml src/batCamomile.ml"
	echo "and everything will work fine."
	exit 1

##
## Magic for test target - auto-generated test files from source comments
##

_build/build/make_suite.$(EXT): build/make_suite.mll
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) make_suite.$(EXT)

#convert a source file to a test suite by filtering special comments
qtest/%_t.ml: src/%.ml _build/build/make_suite.$(EXT)
	_build/build/make_suite.$(EXT) $< > $@

#put all the testing modules in a library
qtest/test_mods.mllib:
	/bin/echo -n "Quickcheck Tests " > $@
	echo $(patsubst src/%.ml,%_t, $(TESTABLE)) >> $@

.PHONY: qtest/test_mods.mllib

=== debian/changelog ===
ocaml-batteries (1.4.1-1build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 16:59:03 +0000

ocaml-batteries (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 04 Nov 2011 09:10:42 +0100

ocaml-batteries (1.2.2-2) unstable; urgency=low

  * Team upload
  * Fix build with camomile 0.8.3 (Closes: #636024)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Aug 2011 07:37:39 +0200

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 override_dh_auto_install:
 	mkdir -p $(DEB_DESTDIR)/estring $(DEB_DESTDIR)/batteries $(BATTERIES_DEB_DOCROOT)
-	make PREFIX=$(DEB_DESTDIR) install
+	make DESTDIR=$(DEB_DESTDIR) install
 ifneq (,$(findstring $(DOC_PKG),$(shell dh_listpackages)))
 	make DOCROOT=$(BATTERIES_DEB_DOCROOT) install-doc
 endif

## ocaml-batteries 1.4.3

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 ifeq ($(uname_S),Darwin)
   BATTERIES_NATIVE ?= yes
   BATTERIES_NATIVE_SHLIB ?= no
-else 
+else
   BATTERIES_NATIVE ?= yes
   BATTERIES_NATIVE_SHLIB ?= $(BATTERIES_NATIVE)
 endif
@@ -32,7 +32,8 @@
 	_build/src/batteries_help.cmo \
 	_build/src/syntax/pa_comprehension/pa_comprehension.cmo \
 	_build/src/syntax/pa_strings/pa_strings.cma \
-	_build/src/syntax/pa_llist/pa_llist.cmo
+	_build/src/syntax/pa_llist/pa_llist.cmo \
+	ocamlinit build/ocaml
 NATIVE_INSTALL_FILES = _build/src/*.cmx _build/src/*.a _build/src/*.cmxa
 
 # What to build
@@ -116,18 +117,18 @@
 	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) testsuite/main.byte qtest/test_runner.byte testsuite/main.native qtest/test_runner.native
 
 test-byte: _build/testsuite/main.byte _build/qtest/test_runner.byte
-	_build/testsuite/main.byte 
+	_build/testsuite/main.byte
 	_build/qtest/test_runner.byte
 
 test-native: _build/testsuite/main.native _build/qtest/test_runner.native
-	_build/testsuite/main.byte 
+	_build/testsuite/main.byte
 	_build/qtest/test_runner.byte
 	_build/testsuite/main.native
 	_build/qtest/test_runner.native
 
 test: $(TEST_TARGET)
 
-bench: 
+bench:
 	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) $(TARGETS) $(BENCH_TARGETS)
 	$(foreach BENCH, $(BENCH_TARGETS), _build/$(BENCH); )
 
@@ -137,7 +138,7 @@
 
 
 ##
-## Magic to detect which version of camomile is installed 
+## Magic to detect which version of camomile is installed
 ##
 
 CAMVER=$(shell sh -c 'ocamlfind query -format %v camomile')
@@ -154,7 +155,7 @@
 	CAMFIX=src/batCamomile-0.7.ml
 endif
 ifeq ($(CAMVER),)
-	CAMFIX=camfail
+	CAMFIX=camfailunk
 endif
 ifeq ($(CAMFIX),) # Assume is compatible with the latest camomile, TODO: warn user about assumption
 	CAMFIX=src/batCamomile-0.8.2.ml

=== debian/changelog ===
ocaml-batteries (1.4.3-1) unstable; urgency=low

  * New upstream release (Closes: 668027)
    - add 0002-Use-mirror-of-ocaml-tutorial.org-which-is-dead.patch
    - add 0003-Fix-doc-batteries-html-extensions.html.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 05 Jun 2012 22:51:41 +0200

=== debian/control ===
Source: ocaml-batteries
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 7.0.50),
 ocaml-nox (>= 3.11.1-3~),
 camlp4, camlp4-extra,
 ocaml-findlib (>= 1.2.5),
 libcamomile-ocaml-dev (>= 0.8),
 libounit-ocaml-dev,
 dh-ocaml (>= 0.9.5~)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-batteries.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-batteries.git
Homepage: http://batteries.forge.ocamlcore.org

Package: libbatteries-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libbatteries-ocaml-doc
Suggests: ledit
Provides:
 libbatteries-camlp4-dev,
 ${ocaml:Provides}
Description: Batteries included: OCaml development platform - development files
 Batteries included is a community-driven effort to standardize on an
 uniform, documented, and comprehensive OCaml development platform.
 .
 Batteries included serves the following purposes:
  * define a standard set of libraries which may be expected on every
    compliant installation of OCaml
  * organize these libraries into a hierarchy of modules, with one
    source of documentation
  * define a standard set of language extensions which may be expected
    on every compliant installation of OCaml
  * provide a consistent API for otherwise independent libraries.
 .
 This package contains the core part of batteries included: libraries
 and language extensions for the OCaml language. Using this package
 you can develop OCaml programs built on top of batteries included.

Package: libbatteries-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Batteries included - OCaml development platform - documentation
 Batteries included is a community-driven effort to standardize on an
 uniform, documented, and comprehensive OCaml development platform.
 .
 Batteries included serves the following purposes:
  * define a standard set of libraries which may be expected on every
    compliant installation of OCaml
  * organize these libraries into a hierarchy of modules, with one
    source of documentation
  * define a standard set of language extensions which may be expected
    on every compliant installation of OCaml
  * provide a consistent API for otherwise independent libraries.
 .
 This package contains the documentation for batteries included: HTML
 API documentation, examples, and information about how to use
 batteries included in your programs.

Package: ocaml-batteries-included
Architecture: all
Depends:
 libbatteries-ocaml-dev,
 libbatteries-camlp4-dev,
 libbatteries-ocaml-doc,
 ${misc:Depends}
Description: Batteries included: OCaml development platform - metapackage
 Batteries included is a community-driven effort to standardize on an
 uniform, documented, and comprehensive OCaml development platform.
 .
 Batteries included serves the following purposes:
  * define a standard set of libraries which may be expected on every
    compliant installation of OCaml
  * organize these libraries into a hierarchy of modules, with one
    source of documentation
  * define a standard set of language extensions which may be expected
    on every compliant installation of OCaml
  * provide a consistent API for otherwise independent libraries.
 .
 This metapackage is provided for convenience, to install all of
 batteries included at once.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 endif
 
 override_dh_auto_build:
-	make all
+	make DOCROOT=$(BATTERIES_DOCROOT) all
 ifneq (,$(findstring $(DOC_PKG),$(shell dh_listpackages)))
 	make doc
 endif

## ocaml-batteries 2.0

=== Makefile ===
# A basic Makefile for building and installing Batteries Included
# It punts to ocamlbuild for all the heavy lifting.

NAME = batteries

VERSION := $(shell grep "^Version:" _oasis | cut -c 15-)
OCAML_MAJOR_VERSION := $(firstword $(subst ., , $(shell ocamlfind ocamlc -version)))
uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')

# Define variables and export them for mkconf.ml
DOCROOT ?= /usr/share/doc/ocaml-batteries
export DOCROOT
BROWSER_COMMAND ?= x-www-browser
export BROWSER_COMMAND

OCAMLBUILD ?= ocamlbuild
OCAMLBUILDFLAGS ?= -no-links

ifeq ($(uname_S),Darwin)
  BATTERIES_NATIVE ?= yes
  BATTERIES_NATIVE_SHLIB ?= no
else
  BATTERIES_NATIVE ?= yes
  BATTERIES_NATIVE_SHLIB ?= $(BATTERIES_NATIVE)
endif

# Directory where to build the qtest suite
QTESTDIR ?= qtest

INSTALL_FILES = _build/META _build/src/*.cma \
	battop.ml _build/src/*.cmi _build/src/*.mli \
	_build/src/batteriesHelp.cmo _build/src/batteriesConfig.cmo _build/src/batteriesPrint.cmo \
	ocamlinit build/ocaml
OPT_INSTALL_FILES = _build/src/*.cmx _build/src/*.a _build/src/*.cmxa \
	_build/src/*.cmxs _build/src/*.lib

# What to build
TARGETS  = src/batteries.cma
TARGETS += src/batteriesHelp.cmo
TARGETS += src/batteriesThread.cma
TARGETS += META
BENCH_TARGETS  = benchsuite/bench_int.native
BENCH_TARGETS += benchsuite/flip.native
BENCH_TARGETS += benchsuite/deque.native
BENCH_TARGETS += benchsuite/lines_of.native
BENCH_TARGETS += benchsuite/bitset.native
BENCH_TARGETS += benchsuite/bench_map.native
TEST_TARGET = test-byte

ifeq ($(BATTERIES_NATIVE_SHLIB), yes)
  EXT = native
  MODE = shared
  TARGETS += src/batteries.cmxs src/batteriesThread.cmxs
  TEST_TARGET = test-native
else
ifeq ($(BATTERIES_NATIVE), yes)
  EXT = native
  MODE = native
  TARGETS += src/batteries.cmxa src/batteriesThread.cmxa
  TEST_TARGET = test-native
else
  EXT = byte
  MODE = bytecode
endif
endif

.PHONY: all clean doc install uninstall reinstall test qtest qtest-clean camfail camfailunk coverage man

all: prefilter
	@echo "Build mode:" $(MODE)
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) $(TARGETS)

clean:
	@${RM} src/batteriesConfig.ml src/batUnix.mli batteries.odocl bench.log
	@${RM} -r man/
	@$(OCAMLBUILD) -clean
	@git clean -xfd
	@echo " Cleaned up working copy" # Note: ocamlbuild eats the first char!

batteries.odocl: src/batteries.mllib src/batteriesThread.mllib
	cat $^ > $@

doc: prefilter batteries.odocl
	$(OCAMLBUILD) batteries.docdir/index.html

man: all batteries.odocl
	-mkdir man
	ocamlfind ocamldoc -package threads.posix -sort -man -hide-warnings -d man -I _build/libs -I _build/src libs/uniclib.mli src/*.mli

install: all uninstall_packages
	ocamlfind install $(NAME) $(INSTALL_FILES) \
		-optional $(OPT_INSTALL_FILES)

uninstall_packages:
	ocamlfind remove $(NAME)

uninstall: uninstall_packages
	${RM} -r $(DOCROOT)

install-doc: doc
	mkdir -p $(DOCROOT)
	mkdir -p $(DOCROOT)/html/api
	cp _build/batteries.docdir/* $(DOCROOT)/html/api
	cp LICENSE README.md FAQ $(DOCROOT)

install-man: man
	install man/* /usr/local/man/man3/

reinstall:
	$(MAKE) uninstall
	$(MAKE) install

###############################################################################
#	Pre-Processing of Source Code
###############################################################################

prefilter: src/batUnix.mli src/batPervasives.mli src/batInnerPervasives.ml

# Ocaml 4.00 can benefit strongly from some pre-processing to expose
# slightly different interfaces
.SUFFIXES: .mli .mliv .ml .mlv

# Look for lines starting with ##Vx##, and delete just the tag or the
# whole line depending whether the x matches the ocaml major version
.mliv.mli:
	sed -e 's/^##V$(OCAML_MAJOR_VERSION)##//' -e '/^##V.##/d' $< > $@

.mlv.ml:
	sed -e 's/^##V$(OCAML_MAJOR_VERSION)##//' -e '/^##V.##/d' $< > $@

###############################################################################
#	BUILDING AND RUNNING UNIT TESTS
###############################################################################

### List of source files that it's okay to try to test

DONTTEST=src/batteriesHelp.ml
TESTABLE ?= $(filter-out $(DONTTEST), $(wildcard src/*.ml))
TESTDEPS = $(TESTABLE)

### Test suite: "offline" unit tests
##############################################

_build/testsuite/main.byte: $(TESTDEPS) $(wildcard testsuite/*.ml)
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) testsuite/main.byte
_build/testsuite/main.native: $(TESTDEPS) $(wildcard testsuite/*.ml)
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) testsuite/main.native

### qtest: "inline" unit tests
##############################################


# extract all qtest unit tests into a single ml file
$(QTESTDIR)/all_tests.ml: $(TESTABLE)
	qtest -o $@ --shuffle --preamble-file qtest/qtest_preamble.ml extract $(TESTABLE)

_build/$(QTESTDIR)/all_tests.byte: $(QTESTDIR)/all_tests.ml
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) -cflags -warn-error,+26 -use-ocamlfind -pkg oUnit,QTest2Lib $(QTESTDIR)/all_tests.byte
_build/$(QTESTDIR)/all_tests.native: $(QTESTDIR)/all_tests.ml
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) -cflags -warn-error,+26 -use-ocamlfind -pkg oUnit,QTest2Lib $(QTESTDIR)/all_tests.native


### qtest: quick run of inline unit tests
##############################################
# $ make qtest TESTABLE=foo.ml
# will only test the module Foo.

qtest-clean:
	@${RM} $(QTESTDIR)/all_tests.ml
	@${MAKE} _build/$(QTESTDIR)/all_tests.$(EXT)

qtest: prefilter qtest-clean
	@_build/$(QTESTDIR)/all_tests.$(EXT)

### run all unit tests
##############################################

test-byte: prefilter _build/testsuite/main.byte _build/$(QTESTDIR)/all_tests.byte
	@_build/testsuite/main.byte
	@echo "" # newline after "OK"
	@_build/$(QTESTDIR)/all_tests.byte

test-native: test-byte _build/testsuite/main.native _build/$(QTESTDIR)/all_tests.native
	@_build/testsuite/main.native
	@echo "" # newline after "OK"
	@_build/$(QTESTDIR)/all_tests.native

full-test: $(TEST_TARGET)

test-compat: src/batteries_compattest.ml
	ocamlbuild src/batteries_compattest.byte -no-links

test: test-byte test-compat

###############################################################################
#	BENCHMARK SUITE
###############################################################################

bench:
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) $(TARGETS) $(BENCH_TARGETS)
	$(RM) bench.log
	$(foreach BENCH, $(BENCH_TARGETS), _build/$(BENCH) | tee -a bench.log; )
	@echo "Benchmarking results are written to bench.log"


###############################################################################
#	PREPARING RELEASE FILES
###############################################################################

release:
	$(MAKE) clean
	git stash save "stashing local modifications before release"
	$(MAKE) release-cleaned

# assumes irreproachably pristine working directory
release-cleaned: setup.ml doc test
	git archive --format=tar --prefix=batteries-$(VERSION)/ HEAD \
	  | gzip > batteries-$(VERSION).tar.gz

setup.ml: _oasis
	oasis setup
	git commit setup.ml -m"Update setup.ml based on _oasis"


# uploads the current documentation to github hdoc2/ directory
upload-docs:
	make doc && git checkout gh-pages && rm -f hdoc2/*.html && cp _build/batteries.docdir/*.html hdoc2/ && git add hdoc2/*.html && git commit -a -m"Update to latest documentation" && git push github gh-pages

###############################################################################
#	CODE COVERAGE REPORTS
###############################################################################

coverage/index.html: $(TESTDEPS) $(QTESTDIR)/all_tests.ml
	$(OCAMLBUILD) coverage/index.html

coverage: coverage/index.html

=== debian/changelog ===
ocaml-batteries (2.0-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - doc/ has been removed, remove patches accordingly
    - do not call git in clean rule
    - disable tests that use qtest (not packaged in Debian)
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Jul 2013 10:53:15 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  libounit-ocaml-dev,
  dh-ocaml (>= 0.9.5~)
 Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-batteries.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-batteries.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-batteries.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-batteries.git
 Homepage: http://batteries.forge.ocamlcore.org
 
 Package: libbatteries-ocaml-dev

## ocaml-batteries 2.2

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,7 @@
 BENCH_TARGETS += benchsuite/lines_of.native
 BENCH_TARGETS += benchsuite/bitset.native
 BENCH_TARGETS += benchsuite/bench_map.native
+BENCH_TARGETS += benchsuite/bench_nreplace.native
 TEST_TARGET = test-byte
 
 ifeq ($(BATTERIES_NATIVE_SHLIB), yes)
@@ -64,6 +65,10 @@
 endif
 endif
 
+PREPROCESSED_FILES = src/batMarshal.mli src/batUnix.mli src/batPervasives.mli \
+		     src/batInnerPervasives.ml src/batHashtbl.ml \
+		     src/batPrintexc.mli src/batSys.mli src/batBigarray.mli
+
 .PHONY: all clean doc install uninstall reinstall test qtest qtest-clean camfail camfailunk coverage man
 
 all: prefilter
@@ -74,7 +79,7 @@
 	@${RM} src/batteriesConfig.ml src/batUnix.mli batteries.odocl bench.log
 	@${RM} -r man/
 	@$(OCAMLBUILD) -clean
-	@git clean -xfd
+	@${RM} $(PREPROCESSED_FILES)
 	@echo " Cleaned up working copy" # Note: ocamlbuild eats the first char!
 
 batteries.odocl: src/batteries.mllib src/batteriesThread.mllib
@@ -114,7 +119,7 @@
 #	Pre-Processing of Source Code
 ###############################################################################
 
-prefilter: src/batUnix.mli src/batPervasives.mli src/batInnerPervasives.ml
+prefilter: $(PREPROCESSED_FILES)
 
 # Ocaml 4.00 can benefit strongly from some pre-processing to expose
 # slightly different interfaces
@@ -123,10 +128,10 @@
 # Look for lines starting with ##Vx##, and delete just the tag or the
 # whole line depending whether the x matches the ocaml major version
 .mliv.mli:
-	sed -e 's/^##V$(OCAML_MAJOR_VERSION)##//' -e '/^##V.##/d' $< > $@
+	ocaml str.cma build/prefilter.ml < $^ > $@
 
 .mlv.ml:
-	sed -e 's/^##V$(OCAML_MAJOR_VERSION)##//' -e '/^##V.##/d' $< > $@
+	ocaml str.cma build/prefilter.ml < $^ > $@
 
 ###############################################################################
 #	BUILDING AND RUNNING UNIT TESTS
@@ -136,7 +141,7 @@
 
 DONTTEST=src/batteriesHelp.ml
 TESTABLE ?= $(filter-out $(DONTTEST), $(wildcard src/*.ml))
-TESTDEPS = $(TESTABLE)
+TESTDEPS = prefilter $(TESTABLE)
 
 ### Test suite: "offline" unit tests
 ##############################################
@@ -180,14 +185,14 @@
 	@echo "" # newline after "OK"
 	@_build/$(QTESTDIR)/all_tests.byte
 
-test-native: test-byte _build/testsuite/main.native _build/$(QTESTDIR)/all_tests.native
+test-native: prefilter _build/testsuite/main.native _build/$(QTESTDIR)/all_tests.native
 	@_build/testsuite/main.native
 	@echo "" # newline after "OK"
 	@_build/$(QTESTDIR)/all_tests.native
 
 full-test: $(TEST_TARGET)
 
-test-compat: src/batteries_compattest.ml
+test-compat: prefilter src/batteries_compattest.ml
 	ocamlbuild src/batteries_compattest.byte -no-links
 
 test: test-byte test-compat
@@ -231,6 +236,6 @@
 ###############################################################################
 
 coverage/index.html: $(TESTDEPS) $(QTESTDIR)/all_tests.ml
-	$(OCAMLBUILD) coverage/index.html
+	$(OCAMLBUILD) -use-ocamlfind coverage/index.html
 
 coverage: coverage/index.html

=== debian/changelog ===
ocaml-batteries (2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jan 2014 10:11:54 +0100

ocaml-batteries (2.1-3) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Dec 2013 07:52:53 +0100

ocaml-batteries (2.1-2) experimental; urgency=low

  * Team upload
  * debian/patches:
    + Fix compilation with OCaml 4.01.0
    + Disable test-compat (broken with OCaml 4.01.0)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 16 Nov 2013 11:54:17 +0100

ocaml-batteries (2.1-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 07:50:33 +0200

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=17 \
    .*/batteries-([\d\.]*)\.tar\.gz
